请选择 进入手机版 | 继续访问电脑版
查看: 51|回复: 0

[技术交流] 【和你一起聊聊NB-IoT】解决PyYAML升级导致编译时遇警告问题

[复制链接]

12

主题

63

帖子

325

积分

利尔达员工

Rank: 9Rank: 9Rank: 9

积分
325
发表于 2019-5-14 10:45:32 | 显示全部楼层 |阅读模式
在编译OpenCPU DEMO时,遇到编译警告,但是该警告不会影响编译结果。
警告提示:YAMLLoadWarning: calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
此警告是由于PyYAML升级至5.1版本,丢弃了原有的load用法。
解决警告方法可参考PyYAML GITHUB:
https://github.com/yaml/pyyaml/wiki/PyYAML-yaml.load(input)-Deprecation#footnotes

此警告可通过以下方法解决:
在工程文件tools文件夹中找到neul_yaml.py文件

将neul_yaml.py文件的第33行代码

  1.   loadedyml = yaml.load(open(filepath))
复制代码
修改为:
  1. loadedyml = yaml.load(open(filepath),Loader=yaml.FullLoader)
复制代码
如下图所示:
企业微信截图_155773069322.png

修改后保存文件,即可正常编译代码,不会出现警告。





回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表